Bug 99075 - gdb segfaults when trying to step into libc
gdb segfaults when trying to step into libc
Product: Red Hat Raw Hide
Classification: Retired
Component: gdb (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Elena Zannoni
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-07-13 22:30 EDT by Robin Green
Modified: 2015-01-07 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-10 11:24:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Session transcript, including backtrace (17.25 KB, text/plain)
2003-07-13 22:46 EDT, Robin Green
no flags Details
patch (477 bytes, patch)
2003-07-18 17:49 EDT, Robin Green
no flags Details | Diff

  None (edit)
Description Robin Green 2003-07-13 22:30:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030515

Description of problem:
I just started using gdb and hit a repeatable segfault when trying to step into
libc (this was by accident, but gdb shouldn't blow up because I step into the
wrong thing!) For example, gdb ls, set a breakpoint on an opendir() line, and
then step. Segfault.

I've compiled the following packages myself (for target athlon-redhat-linux-gnu)
and installed the corresponding generated -debuginfo packages:


The segfault can also be reproduced with the gdb installed from the gdb rpm in
RedHat 9, although without a debuginfo package I couldn't immediately verify if
the function it occurred in was the same.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. gdb ls
2. break 2157
3. run
4. step

Actual Results:  Segmentation fault

Expected Results:  Either an error message, a step into libc, or a step over libc.

Additional info: Backtrace attached.
Comment 1 Robin Green 2003-07-13 22:46:13 EDT
Created attachment 92903 [details]
Session transcript, including backtrace

I've included a full backtrace with locals, and then one without locals at the
Comment 2 Robin Green 2003-07-18 17:49:24 EDT
Created attachment 93011 [details]
Comment 3 Elena Zannoni 2003-08-25 11:26:19 EDT
Could you please try a more recent version of gdb?
I am not able to reproduce with:
Comment 4 David Lawrence 2006-04-10 11:24:57 EDT
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you

Note You need to log in before you can comment on or make changes to this bug.